<?php
declare(strict_types=1);

namespace IntiTest\Filter;

/**
 * Class SanitizePathTest
 *
 * @package IntiTest\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-filter
 */
final class SanitizePathTest extends FilterTestCase
{
    const FILTER = 'sanitizepath';

    public function testWillSanitizePath()
    {
        $input = '  fsČĆč/ %20+file,.webp';
        $expected = 'fsccc/file.webp';

        $this->assertEquals($expected, $this->filter->filter($input));
    }
}
